Subject: Re: linux-next: manual merge of the kvm-arm tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 31 Jul 2014 22:17:52 +1000

Hi Christoffer,

On Thu, 31 Jul 2014 13:53:03 +0200 Christoffer Dall <[email-masked]> wrote:
>
> On Thu, Jul 31, 2014 at 8:30 AM, Stephen Rothwell <[email-masked]>
> wrote:
> 
> > Today's linux-next merge of the kvm-arm tree got a conflict in
> > virt/kvm/arm/vgic.c between commit 63afbe7a0ac1 ("kvm: arm64: vgic: fix
> > hyp panic with 64k pages on juno platform") from Linus' tree and commit
> > 8f186d522c69 ("KVM: ARM: vgic: split GICv2 backend from the main vgic
> > code") and others from the kvm-arm tree.
> >
> > I fixed it up (the latter extensively rewrites the function, so I just
> > used that) and can carry the fix as necessary (no action is required).
> >
> >
> > Hmm that doesn't look correct, the checks  for
> PAGE_ALIGNED(vcpu_res.start) and PAGE_ALIGNED(resource_size(vcpu_res))
> still need to be enforced for both vgic-v2 and vgic-v3.  How do we provide
> a correct fix for Linux-next?

Just send me a patch relative to today's linux-next (or merge
338eeb9b8318) and I will add it when I merge the kvm-arm tree on
Monday.  And don't forget to tell Linus :-)

Or you could merge commit 63afbe7a0ac1 ("kvm: arm64: vgic: fix hyp
panic with 64k pages on juno platform") from Linus' tree into the
kvm-arm tree (which is what Linus merged) and fix it up yourself - with
an appropriate comment explaining why it was done, of course.

-- 
Cheers,
Stephen Rothwell                    [email-masked]